/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ui;

import javax.swing.JDesktopPane;

/**
 *
 * @author rizky
 */
public class Dashboard extends javax.swing.JFrame {

    /**
     * Creates new form Dashboard
     */
    
    public static JDesktopPane dekstop;
    
    public Dashboard() {
        initComponents();
        setExtendedState(MAXIMIZED_BOTH);
        dekstop = Dekstop;
        if (!"Admin".equals(Login.hak)){
            btnPengguna.setVisible(false);
        }
        else {
            btnPengguna.setVisible(true);
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jpmMaster = new javax.swing.JPopupMenu();
        btnPelanggan = new javax.swing.JMenuItem();
        btnTarif = new javax.swing.JMenuItem();
        btnPengguna = new javax.swing.JMenuItem();
        jpmTransaksi = new javax.swing.JPopupMenu();
        btnTagihan = new javax.swing.JMenuItem();
        btnPembayaran = new javax.swing.JMenuItem();
        jPopupMenu3 = new javax.swing.JPopupMenu();
        Dekstop = new javax.swing.JDesktopPane();
        jToolBar1 = new javax.swing.JToolBar();
        btnHome = new javax.swing.JButton();
        btnMaster = new javax.swing.JButton();
        btnTransaksi = new javax.swing.JButton();
        btnLaporan = new javax.swing.JButton();
        btnHelp = new javax.swing.JButton();
        btnLogout = new javax.swing.JButton();

        btnPelanggan.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/pelangga.png"))); // NOI18N
        btnPelanggan.setText("Pelanggan");
        btnPelanggan.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                btnPelangganMouseClicked(evt);
            }
        });
        btnPelanggan.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPelangganActionPerformed(evt);
            }
        });
        jpmMaster.add(btnPelanggan);

        btnTarif.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/penjualan.png"))); // NOI18N
        btnTarif.setText("Tarif");
        btnTarif.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnTarifActionPerformed(evt);
            }
        });
        jpmMaster.add(btnTarif);

        btnPengguna.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/key.png"))); // NOI18N
        btnPengguna.setText("Pengguna");
        btnPengguna.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPenggunaActionPerformed(evt);
            }
        });
        jpmMaster.add(btnPengguna);

        btnTagihan.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/pembelian.png"))); // NOI18N
        btnTagihan.setText("Tagihan");
        btnTagihan.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnTagihanActionPerformed(evt);
            }
        });
        jpmTransaksi.add(btnTagihan);

        btnPembayaran.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/penjualan.png"))); // NOI18N
        btnPembayaran.setText("Pembayaran");
        btnPembayaran.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPembayaranActionPerformed(evt);
            }
        });
        jpmTransaksi.add(btnPembayaran);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        Dekstop.setPreferredSize(new java.awt.Dimension(500, 700));

        javax.swing.GroupLayout DekstopLayout = new javax.swing.GroupLayout(Dekstop);
        Dekstop.setLayout(DekstopLayout);
        DekstopLayout.setHorizontalGroup(
            DekstopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 0, Short.MAX_VALUE)
        );
        DekstopLayout.setVerticalGroup(
            DekstopLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 346, Short.MAX_VALUE)
        );

        jToolBar1.setFloatable(false);
        jToolBar1.setRollover(true);

        btnHome.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/home.png"))); // NOI18N
        btnHome.setText("Beranda");
        btnHome.setToolTipText("");
        btnHome.setBorderPainted(false);
        btnHome.setDefaultCapable(false);
        btnHome.setFocusPainted(false);
        btnHome.setFocusable(false);
        btnHome.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        btnHome.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnHome.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jToolBar1.add(btnHome);

        btnMaster.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/master.png"))); // NOI18N
        btnMaster.setText("Master");
        btnMaster.setBorderPainted(false);
        btnMaster.setFocusable(false);
        btnMaster.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        btnMaster.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnMaster.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        btnMaster.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                btnMasterMouseClicked(evt);
            }
        });
        btnMaster.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMasterActionPerformed(evt);
            }
        });
        jToolBar1.add(btnMaster);

        btnTransaksi.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/transaksi.png"))); // NOI18N
        btnTransaksi.setText("Transaksi");
        btnTransaksi.setBorderPainted(false);
        btnTransaksi.setFocusable(false);
        btnTransaksi.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        btnTransaksi.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnTransaksi.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        btnTransaksi.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                btnTransaksiMouseClicked(evt);
            }
        });
        jToolBar1.add(btnTransaksi);

        btnLaporan.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/report.png"))); // NOI18N
        btnLaporan.setText("Laporan");
        btnLaporan.setBorderPainted(false);
        btnLaporan.setFocusable(false);
        btnLaporan.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        btnLaporan.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnLaporan.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jToolBar1.add(btnLaporan);

        btnHelp.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/help.png"))); // NOI18N
        btnHelp.setText("Informasi");
        btnHelp.setBorderPainted(false);
        btnHelp.setFocusable(false);
        btnHelp.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        btnHelp.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnHelp.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jToolBar1.add(btnHelp);

        btnLogout.setIcon(new javax.swing.ImageIcon(getClass().getResource("/iconpack/logout.png"))); // NOI18N
        btnLogout.setText("Keluar");
        btnLogout.setBorderPainted(false);
        btnLogout.setFocusable(false);
        btnLogout.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
        btnLogout.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnLogout.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        btnLogout.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLogoutActionPerformed(evt);
            }
        });
        jToolBar1.add(btnLogout);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(Dekstop, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 677, Short.MAX_VALUE)
            .addComponent(jToolBar1, javax.swing.GroupLayout.DEFAULT_SIZE, 677, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jToolBar1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(4, 4, 4)
                .addComponent(Dekstop, javax.swing.GroupLayout.DEFAULT_SIZE, 346, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnPelangganActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPelangganActionPerformed
        Pelanggan pelanggan = new Pelanggan();
        Dekstop.removeAll();
        Dekstop.repaint();
        Dekstop.add(pelanggan);
        Dekstop.moveToFront(pelanggan);
        pelanggan.setVisible(true);
    }//GEN-LAST:event_btnPelangganActionPerformed

    private void btnMasterActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMasterActionPerformed
       
    }//GEN-LAST:event_btnMasterActionPerformed

    private void btnMasterMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnMasterMouseClicked
        jpmMaster.show(evt.getComponent(), evt.getX(), evt.getY());
    }//GEN-LAST:event_btnMasterMouseClicked

    private void btnTransaksiMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnTransaksiMouseClicked
        jpmTransaksi.show(evt.getComponent(), evt.getX(), evt.getY());
    }//GEN-LAST:event_btnTransaksiMouseClicked

    private void btnPelangganMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnPelangganMouseClicked
        
    }//GEN-LAST:event_btnPelangganMouseClicked

    private void btnTarifActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnTarifActionPerformed
        Tarif tarif = new Tarif();
        Dekstop.removeAll();
        Dekstop.repaint();
        Dekstop.add(tarif);
        Dekstop.moveToFront(tarif);
        tarif.setVisible(true);
    }//GEN-LAST:event_btnTarifActionPerformed

    private void btnPenggunaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPenggunaActionPerformed
        Pengguna pengguna = new Pengguna();
        Dekstop.removeAll();
        Dekstop.repaint();
        Dekstop.add(pengguna);
        Dekstop.moveToFront(pengguna);
        pengguna.setVisible(true);
    }//GEN-LAST:event_btnPenggunaActionPerformed

    private void btnTagihanActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnTagihanActionPerformed
        Tagihan tagihan = new Tagihan();
        Dekstop.removeAll();
        Dekstop.repaint();
        Dekstop.add(tagihan);
        Dekstop.moveToFront(tagihan);
        tagihan.setVisible(true);
    }//GEN-LAST:event_btnTagihanActionPerformed

    private void btnPembayaranActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPembayaranActionPerformed
        Transaksi transaksi = new Transaksi();
        Dekstop.removeAll();
        Dekstop.repaint();
        Dekstop.add(transaksi);
        Dekstop.moveToFront(transaksi);
        transaksi.setVisible(true);
    }//GEN-LAST:event_btnPembayaranActionPerformed

    private void btnLogoutActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLogoutActionPerformed
        dispose();
        new Login().setVisible(true);
    }//GEN-LAST:event_btnLogoutActionPerformed

//        /**
//     * @param args the command line arguments
//     */
//    public static void main(String args[]) {
//        /* Set the Nimbus look and feel */
//        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
//        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
//         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
//         */
//        try {
//            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
//                if ("Nimbus".equals(info.getName())) {
//                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
//                    break;
//                }
//            }
//        } catch (ClassNotFoundException ex) {
//            java.util.logging.Logger.getLogger(Login.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (InstantiationException ex) {
//            java.util.logging.Logger.getLogger(Login.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (IllegalAccessException ex) {
//            java.util.logging.Logger.getLogger(Login.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
//            java.util.logging.Logger.getLogger(Login.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
//        }
//        //</editor-fold>
//
//        /* Create and display the form */
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                new Dashboard().setVisible(true);
//            }
//        });
//    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JDesktopPane Dekstop;
    private javax.swing.JButton btnHelp;
    private javax.swing.JButton btnHome;
    private javax.swing.JButton btnLaporan;
    private javax.swing.JButton btnLogout;
    private javax.swing.JButton btnMaster;
    private javax.swing.JMenuItem btnPelanggan;
    private javax.swing.JMenuItem btnPembayaran;
    private javax.swing.JMenuItem btnPengguna;
    private javax.swing.JMenuItem btnTagihan;
    private javax.swing.JMenuItem btnTarif;
    private javax.swing.JButton btnTransaksi;
    private javax.swing.JPopupMenu jPopupMenu3;
    private javax.swing.JToolBar jToolBar1;
    private javax.swing.JPopupMenu jpmMaster;
    private javax.swing.JPopupMenu jpmTransaksi;
    // End of variables declaration//GEN-END:variables
}
